﻿(function () {
    "use strict";
    WinJS.Binding.optimizeBindingReferences = true;
    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: このアプリケーションは新しく起動しました。ここでアプリケーションを 初期化します。
            } else {
                // TODO: このアプリケーションは中断状態から再度アクティブ化されました。ここでアプリケーションの状態を復元します。
            }
            args.setPromise(WinJS.UI.processAll().then(function completed() {
                var runButton = document.getElementById("runButton");
                runButton.addEventListener("click", buttonClickHandler, false);
            }));
            args.setPromise(WinJS.UI.processAll());
        }
    };
    app.oncheckpoint = function (args) {
        // TODO: このアプリケーションは中断しようとしています。ここで中断中に維持する必要のある状態を保存します。中断中に自動的に保存され、
        // 復元される WinJS.Application.sessionState オブジェクトを使用できます。
    };
    function buttonClickHandler(eventInfo) {
        var myScript = document.getElementById("myScript");
        document.getElementById("myOutput").innerText = eval(myScript.textContent);
    }
    app.start();
})();
